/**
 * Copyright 2018 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

export const fixedData: Record<string, string|number|boolean> = {
  'address.zipCode': 53868,
  'address.city': 'East Diannabury',
  'address.cityPrefix': 'Lake',
  'address.citySuffix': 'town',
  'address.streetName': 'Monahan Inlet',
  'address.streetAddress': '0955 Simonis Light',
  'address.streetSuffix': 'Views',
  'address.streetPrefix': 'b',
  'address.secondaryAddress': 'Apt. 951',
  'address.county': 'Avon',
  'address.country': 'Jersey',
  'address.countryCode': 'TD',
  'address.state': 'Alabama',
  'address.stateAbbr': 'AZ',
  'address.latitude': 14.0765,
  'address.longitude': -125.0034,
  'commerce.color': 'magenta',
  'commerce.department': 'Health',
  'commerce.productName': 'Sleek Granite Chicken',
  'commerce.price': 966.00,
  'commerce.productAdjective': 'Practical',
  'commerce.productMaterial': 'Granite',
  'commerce.product': 'Fish',
  'company.suffixes': 'Inc,and Sons,LLC,Group',
  'company.companyName': 'O\'Hara, Tromp and Renner',
  'company.companySuffix': 'Group',
  'company.catchPhrase': 'Organized 4th generation concept',
  'company.bs': 'innovative maximize web services',
  'company.catchPhraseAdjective': 'Expanded',
  'company.catchPhraseDescriptor': 'multi-state',
  'company.catchPhraseNoun': 'alliance',
  'company.bsAdjective': 'magnetic',
  'company.bsBuzz': 'monetize',
  'company.bsNoun': 'networks',
  'database.column': 'token',
  'database.type': 'smallint',
  'database.collation': 'utf8_unicode_ci',
  'database.engine': 'BLACKHOLE',
  'date.past': 'Thu Dec 28 2017 20:44:18 GMT-0800 (PST)',
  'date.future': 'Sun Apr 28 2019 23:50:14 GMT-0700 (PDT)',
  'date.between': 'Invalid Date',
  'date.recent': 'Wed May 30 2018 18:12:28 GMT-0700 (PDT)',
  'date.month': 'May',
  'date.weekday': 'Thursday',
  'finance.account': 83197412,
  'finance.accountName': 'Money Market Account',
  'finance.mask': 7308,
  'finance.amount': 457.28,
  'finance.transactionType': 'payment',
  'finance.currencyCode': 'SRD',
  'finance.currencyName': 'Bolivar Fuerte',
  'finance.currencySymbol': '₫',
  'finance.bitcoinAddress': '1XLGBHLQ98V6A4OJGAK7ZEWH48RPS1SOY',
  'finance.iban': 'DE90048480040390403880',
  'finance.bic': 'OXIONCP1864',
  'hacker.abbreviation': 'JSON',
  'hacker.adjective': 'optical',
  'hacker.noun': 'monitor',
  'hacker.verb': 'navigate',
  'hacker.ingverb': 'transmitting',
  'hacker.phrase':
      'I\'ll calculate the online PCI array, that should protocol the SDD matrix!',
  'image.image': 'http://lorempixel.com/640/480/cats',
  'image.avatar':
      'https://s3.amazonaws.com/uifaces/faces/twitter/megdraws/128.jpg',
  'image.imageUrl': 'http://lorempixel.com/640/480',
  'image.abstract': 'http://lorempixel.com/640/480/abstract',
  'image.animals': 'http://lorempixel.com/640/480/animals',
  'image.business': 'http://lorempixel.com/640/480/business',
  'image.cats': 'http://lorempixel.com/640/480/cats',
  'image.city': 'http://lorempixel.com/640/480/city',
  'image.food': 'http://lorempixel.com/640/480/food',
  'image.nightlife': 'http://lorempixel.com/640/480/nightlife',
  'image.fashion': 'http://lorempixel.com/640/480/fashion',
  'image.people': 'http://lorempixel.com/640/480/people',
  'image.nature': 'http://lorempixel.com/640/480/nature',
  'image.sports': 'http://lorempixel.com/640/480/sports',
  'image.technics': 'http://lorempixel.com/640/480/technics',
  'image.transport': 'http://lorempixel.com/640/480/transport',
  'image.dataUri':
      'data:image/svg+xml;charset=UTF-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20version%3D%221.1%22%20baseProfile%3D%22full%22%20width%3D%22undefined%22%20height%3D%22undefined%22%3E%20%3Crect%20width%3D%22100%25%22%20height%3D%22100%25%22%20fill%3D%22grey%22%2F%3E%20%20%3Ctext%20x%3D%220%22%20y%3D%2220%22%20font-size%3D%2220%22%20text-anchor%3D%22start%22%20fill%3D%22white%22%3Eundefinedxundefined%3C%2Ftext%3E%20%3C%2Fsvg%3E',
  'internet.avatar':
      'https://s3.amazonaws.com/uifaces/faces/twitter/gavr1l0/128.jpg',
  'internet.email': 'Myron_Olson39@hotmail.com',
  'internet.exampleEmail': 'Morgan.Johnston@example.org',
  'internet.userName': 'Jakob10',
  'internet.protocol': 'https',
  'internet.url': 'http://martine.net',
  'internet.domainName': 'cheyenne.name',
  'internet.domainSuffix': 'net',
  'internet.domainWord': 'lacey',
  'internet.ip': '172.238.54.27',
  'internet.ipv6': '0e09:c97a:6bae:059f:8d91:9bf8:ce1c:a9f2',
  'internet.userAgent':
      'Mozilla/5.0 (Windows; U; Windows NT 5.1) AppleWebKit/532.2.1 (KHTML, like Gecko) Chrome/32.0.848.0 Safari/532.2.1',
  'internet.color': '#47573d',
  'internet.mac': '61:6b:61:89:23:c7',
  'internet.password': 'HHgudVCdnRUGjFo',
  'lorem.word': 'aut',
  'lorem.words': 'consequuntur ab fugiat',
  'lorem.sentence':
      'Reiciendis excepturi distinctio aspernatur incidunt reprehenderit.',
  'lorem.slug': 'ratione-autem-et',
  'lorem.sentences':
      'Ea cumque ut ex libero consequatur et nulla similique sint. Natus eum saepe qui unde quia qui eligendi nihil voluptatibus. Aut quis dolores et quidem. Consequatur hic sed sapiente minima saepe repellat deserunt ab placeat. Expedita voluptatem qui nihil dolor ut illum autem assumenda quisquam. Dolorum nobis libero natus est est voluptatem eos aut.',
  'lorem.paragraph':
      'Sed nemo et et vel animi. Rerum delectus dolore laudantium ut vitae quia. Quia voluptatum quia magnam. Eligendi ut non temporibus ut aut. At sapiente voluptas qui qui in omnis quisquam architecto.',
  'lorem.paragraphs':
      'Cumque perspiciatis eum. Ad iusto dolorem omnis. Voluptates non quibusdam vel est commodi sed laudantium molestiae. Sapiente reiciendis quo.\n \rQui fugiat ex eligendi quis. Iste rerum dolorem repellendus aperiam asperiores ut. Fuga pariatur illum suscipit quia amet.\n \rQuis dolor molestiae qui quibusdam deserunt eum ex a soluta. Est velit cum. Quae magni et ut modi voluptates qui omnis dolor perferendis. Laboriosam voluptas at eos eos et. Molestiae deserunt harum libero. Ratione at molestias est velit natus aut hic.',
  'lorem.text':
      'Animi repellat eveniet eveniet dolores quo ullam rerum reiciendis ipsam. Corrupti voluptatem ipsa illum veritatis eligendi sit autem ut quia. Ea sint voluptas impedit ducimus dolores possimus.',
  'lorem.lines':
      'Aliquam dolores magni aut asperiores velit soluta quod facere ipsa.\nHic tenetur aut.\nNam fugit debitis culpa.',
  'name.firstName': 'Mabel',
  'name.lastName': 'Williamson',
  'name.findName': 'Natasha Jacobs',
  'name.jobTitle': 'Global Directives Analyst',
  'name.prefix': 'Miss',
  'name.suffix': 'II',
  'name.title': 'National Configuration Coordinator',
  'name.jobDescriptor': 'District',
  'name.jobArea': 'Web',
  'name.jobType': 'Strategist',
  'phone.phoneNumber': '845.046.3789',
  'phone.phoneNumberFormat': '021-173-3550',
  'phone.phoneFormats': '###-###-#### x####',
  'random.number': 86924,
  'random.arrayElement': 'b',
  'random.objectElement': 'car',
  'random.uuid': 'bfc8cb62-c6ce-4194-a2a5-499320b837eb',
  'random.boolean': true,
  'random.word': 'visualize',
  'random.words': 'withdrawal payment',
  'random.image': 'http://lorempixel.com/640/480/city',
  'random.locale': 'nep',
  'random.alphaNumeric': 'l',
  'system.fileName': 'secured.kml',
  'system.commonFileName': 'nevada.mpg4',
  'system.mimeType': 'application/vividence.scriptfile',
  'system.commonFileType': 'video',
  'system.commonFileExt': 'pdf',
  'system.fileType': 'x-conference',
  'system.fileExt': 'mrcx',
  'system.semver': '4.5.9'
};
